org.icefaces.ace.component.dnd

## Interface IDroppable

- All Known Implementing Classes:
    Droppable, DroppableBase

      public interface IDroppable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccept()`
    `java.lang.String` | `getActiveStyleClass()`
    `java.lang.String` | `getDatasource()`
    `javax.el.MethodExpression` | `getDropListener()`
    `java.lang.String` | `getFor()`
    `java.lang.String` | `getHoverStyleClass()`
    `java.lang.String` | `getScope()`
    `java.lang.String` | `getTolerance()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isDisabled()`
    `void` | `setAccept(java.lang.String accept)`
    `void` | `setActiveStyleClass(java.lang.String activeStyleClass)`
    `void` | `setDatasource(java.lang.String datasource)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setDropListener(javax.el.MethodExpression dropListener)`
    `void` | `setFor(java.lang.String forValue)`
    `void` | `setHoverStyleClass(java.lang.String hoverStyleClass)`
    `void` | `setScope(java.lang.String scope)`
    `void` | `setTolerance(java.lang.String tolerance)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setAccept

          void setAccept(java.lang.String accept)

    - #### getAccept

          java.lang.String getAccept()

    - #### setActiveStyleClass

          void setActiveStyleClass(java.lang.String activeStyleClass)

    - #### getActiveStyleClass

          java.lang.String getActiveStyleClass()

    - #### setDatasource

          void setDatasource(java.lang.String datasource)

    - #### getDatasource

          java.lang.String getDatasource()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setDropListener

          void setDropListener(javax.el.MethodExpression dropListener)

    - #### getDropListener

          javax.el.MethodExpression getDropListener()

    - #### setFor

          void setFor(java.lang.String forValue)

    - #### getFor

          java.lang.String getFor()

    - #### setHoverStyleClass

          void setHoverStyleClass(java.lang.String hoverStyleClass)

    - #### getHoverStyleClass

          java.lang.String getHoverStyleClass()

    - #### setScope

          void setScope(java.lang.String scope)

    - #### getScope

          java.lang.String getScope()

    - #### setTolerance

          void setTolerance(java.lang.String tolerance)

    - #### getTolerance

          java.lang.String getTolerance()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.